Bug 117997 - Crash in: ScPostIt::GetText()
Summary: Crash in: ScPostIt::GetText()
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.0.beta1+
Hardware: All All
: high major
Assignee: Henry Castro
URL:
Whiteboard: target:6.2.0 target:6.1.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-06-04 18:46 UTC by Telesto
Modified: 2018-07-05 15:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["ScPostIt::GetText()"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-06-04 18:46:03 UTC
This bug was filed from the crash reporting server and is br-d08979a4-d83b-45ee-ac6f-8b7efaf53f83.
=========================================

1. Open attachment 139120 [details] (bug 115034)
2. Ignore the macro
3. Select all (CTRL+A) and cut(CTRL+X)
4. Open a new Calc document & Paste (CTRL+V)
5. Close with CTRL+Q -> Crash
Comment 1 Julien Nabet 2018-06-04 19:26:44 UTC
On pc Debian x86-64 with master sources updated today, I can't reproduce this because I got an assert before:
soffice.bin: /home/julien/lo/libreoffice/sc/source/core/data/formulacell.cxx:2597: void ScFormulaCell::MaybeInterpret(): Assertion `!pDocument->IsThreadedGroupCalcInProgress()' failed.
Comment 2 MM 2018-06-04 20:34:22 UTC
Unconfirmed on ubuntu 16.04 x64 with Version: 6.2.0.0.alpha0+
Build ID: 25fdc074528a39ff8aacf74c8db888ec9ef19a97
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-06-01_23:47:11
Locale: en-US (en_US.UTF-8); Calc: threaded
Comment 3 Xisco Faulí 2018-06-04 22:18:08 UTC
I can reproduce it in

Version: 6.1.0.0.beta1+
Build ID: b57819201ff89bbde14b4df8c02a0eb4bea2c2bb
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 4 Xisco Faulí 2018-06-04 22:23:16 UTC
I can also reproduce it without multi-threating...

Version: 6.1.0.0.beta1+
Build ID: b57819201ff89bbde14b4df8c02a0eb4bea2c2bb
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 5 Xisco Faulí 2018-06-04 22:41:24 UTC
Regression introduced by:

author	Henry Castro <hcastro@collabora.com>	2017-08-12 19:46:27 -0400
committer	Henry Castro <hcastro@collabora.com>	2017-12-08 13:06:57 +0100
commit	1b7a8277aa3e9f73ccdf15e933a1ee3b42849a44 (patch)
tree	64474c3499c36d31f0ea13d348245a6bea6abbe6
parent	630be5751029fc8ebf5a8784fb1c07894a0e1600 (diff)
sc lok: 1 view has 1 clipboard to transfer data
In tiled rendering case, each view copy and paste
the contents of the clipboard associated with the view

Bisected with: bibisect-linux64-6.1

Adding Cc: to Henry Castro

Keepting this one separated from bug 117228 as the crash signature seems different...
Comment 6 Henry Castro 2018-06-05 12:56:58 UTC
Thanks. I will fix it :)
Comment 7 Commit Notification 2018-06-26 12:25:13 UTC
Henry Castro committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b6b1ded0a0539e7be1b5338de378a3276a6ff445

sc: replace ScCaptionPtr with std::shared_ptr, tdf#117997, tdf#117228

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-07-04 19:56:31 UTC
Henry Castro committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ee7638061e787e6a1c37b2d3be1c14852cbc3381&h=libreoffice-6-1

sc: replace ScCaptionPtr with std::shared_ptr, tdf#117997, tdf#117228

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2018-07-05 15:45:53 UTC
Verified in

Versión: 6.1.0.1
Id. de compilación: 378e26bd4f22a135cef5fa17afd5d4171d8da21a
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; 
Configuración regional: es-ES (es_ES); Calc: group threaded

@Henry, Thanks for fixing this!! Should it be closed as RESOLVED FIXED ?